<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\KursPlanung\KursVorschlag\EmailVersand;

class EmailAenderungenToUserView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/kursplanung/kursvorschlag_aenderungen_email_an_user.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $dm = $this->viewModel->kursplanung;

    
    
    
    
    $dm->kurstitel = $this->viewModel->kurstitel;
    $dm->name = $this->viewModel->user->name;
    $dm->vorname = $this->viewModel->user->vorname;

    return array($dm);
  }

  protected function getHeaderDataModulArray()
  {
    return $this->getDefaultDataModulArray();
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumnDifference(
      $this->viewModel->toolSection,
      $this->viewModel->toolSettings,
      $this->viewModel->kursplanung,
      $this->viewModel->origKursplanung
    );
  }
}

class EmailAenderungenToUserViewModel
{
  public $columns;
  public $kursplanung;
  public $origKursplanung;
  public $knr;
  public $kurstitel;
  public $user;
  public $toolSection;
  public $toolSettings;
}